Subject: bug#10348: 24.0.92; Save and load window states

From: martin rudalics <[email-masked]>
Date: Mon, 26 Dec 2011 12:07:38 +0100

> Copying the alist seems perfectly fine to me.  This said, while we're
 > copying, we may as well filter at the same time: Emacs-23 did not
 > preserve parameters, so rather than preserving them all, we could make
 > Emacs-24 preserve only those params mentioned in a new var
 > `window-configuration-saved-parameters'.  For all I know, this new var
 > might even be shared with `window-state-saved-parameters'.

Suppose a window has a parameter which is not listed by that variable.
Shall `set-window-configuration' (implicitly) remove that parameter from
that window's parameters or keep it with its last value?

martin